Bug 65922 - Wrong font of initialization messages for non-latin1 languages
Wrong font of initialization messages for non-latin1 languages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-04 08:45 EDT by Walery Studennikov
Modified: 2014-03-16 22:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 16:00:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Walery Studennikov 2002-06-04 08:45:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc3) Gecko/20020523

Description of problem:
When non-latin language is selected for the system
(For example, Russian: LANG=ru_RU.koi8r),
then during the initialization BEFORE system font is set to the
right one, ALL the system init. messages are displayed with
international characters but with wrong font.

Version-Release number of selected component (if applicable):

How reproducible:
Always

Steps to Reproduce:
1. Install RH 7.x linux choosing Russian language for the system
2. Boot the system


Actual Results:  Look at the broken initialization messages with wrong font.
The language of messages is Russian, but russian font is not set
yet, so all non-latin1 characters are shown as garbage.

Expected Results:  Right system font MUST be set BEFORE printing ANY
international messages.
Use only english messages before setting the right font
or set the right font at the FIRST step, before any messages
are printed.

Additional info:

This bug is inherited from older 7.x distributions.
Really, this problem appeared just after RH decided to print
init. messages in non-english languages.
Comment 1 Bill Nottingham 2005-09-29 16:00:16 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.
In current releases, we set the font *very* early, so this should be fixed.

Note You need to log in before you can comment on or make changes to this bug.